#### PyKDE - Python Bindings for KDE

# class KRestrictedLine |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KRestrictedLine
Inherits | KLineEdit

### methods

- KRestrictedLine (parent = 0, name = 0, valid = QString .null)

  returns a KRestrictedLine instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0
  valid | QString | QString .null

- invalidChar (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- keyPressEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | QKeyEvent |

- setValidChars (valid)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  valid | QString |

- validChars ()

  returns (QString)